Bug 492714 - system-config-printer.py crashes on import of /usr/lib/python2.5/site-packages/smbc.so
system-config-printer.py crashes on import of /usr/lib/python2.5/site-packag...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-28 14:31 EDT by Garry R. Osgood
Modified: 2009-03-31 10:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 10:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug Buddy dump (418.60 KB, text/plain)
2009-03-28 14:31 EDT, Garry R. Osgood
no flags Details

  None (edit)
Description Garry R. Osgood 2009-03-28 14:31:18 EDT
Created attachment 337119 [details]
Bug Buddy dump 

Description of problem:
Invoking system-config-printer.py either in a shell or via menu results in hard python crash at 'import smbc' in 

Version-Release number of selected component (if applicable):

[root@dorothy gosgood]# rpm -qif  /usr/share/system-config-printer/pysmb.py
Name        : system-config-printer        Relocations: (not relocatable)
Version     : 1.0.15                            Vendor: Fedora Project
Release     : 1.fc10                        Build Date: Wed 18 Feb 2009 12:29:59 PM EST
Install Date: Tue 24 Feb 2009 09:14:11 PM EST      Build Host: x86-4.fedora.phx.redhat.com
Group       : System Environment/Base       Source RPM: system-config-printer-1.0.15-1.fc10.src.rpm
Size        : 2137574                          License: GPLv2+
Signature   : DSA/SHA1, Tue 24 Feb 2009 08:38:34 AM EST, Key ID bf226fcc4ebfc273
Packager    : Fedora Project
URL         : http://cyberelk.net/tim/software/system-config-printer/
Summary     : A printer administration tool
Description :
system-config-printer is a graphical user interface that allows
the user to configure a CUPS print server.

[gosgood@dorothy python2.5]$ rpm -qif /usr/lib/python2.5/site-packages/smbc.so
Name        : system-config-printer-libs   Relocations: (not relocatable)
Version     : 1.0.15                            Vendor: Fedora Project
Release     : 1.fc10                        Build Date: Wed 18 Feb 2009 12:29:59 PM EST
Install Date: Tue 24 Feb 2009 09:13:50 PM EST      Build Host: x86-4.fedora.phx.redhat.com
Group       : System Environment/Base       Source RPM: system-config-printer-1.0.15-1.fc10.src.rpm
Size        : 3081076                          License: GPLv2+
Signature   : DSA/SHA1, Tue 24 Feb 2009 08:38:35 AM EST, Key ID bf226fcc4ebfc273
Packager    : Fedora Project
URL         : http://cyberelk.net/tim/software/system-config-printer/
Summary     : Libraries and shared code for printer administration tool
Description :
The common code used by both the graphical and non-graphical parts of
the configuration tool.

]$ rpm -qif /usr/bin/python
Name        : python                       Relocations: (not relocatable)
Version     : 2.5.2                             Vendor: Fedora Project
Release     : 1.fc10                        Build Date: Tue 30 Sep 2008 03:44:10 PM EDT
Install Date: Tue 16 Dec 2008 06:24:53 PM EST      Build Host: x86-3.fedora.phx.redhat.com
Group       : Development/Languages         Source RPM: python-2.5.2-1.fc10.src.rpm
Size        : 16710646                         License: Python
Signature   : DSA/SHA1, Wed 29 Oct 2008 12:43:29 AM EDT, Key ID bf226fcc4ebfc273
Packager    : Fedora Project
URL         : http://www.python.org/
Summary     : An interpreted, interactive, object-oriented programming language.
Description :
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

Programmers can write new built-in modules for Python in C or C++.
Python can be used as an extension language for applications that need
a programmable interface. This package contains most of the standard
Python modules, as well as modules for interfacing to the Tix widget
set for Tk and RPM.

Note that documentation for Python is provided in the python-docs
package.
How reproducible:


Steps to Reproduce:
1. Invoke system-config-printer in a shell or via menu, no command line parameters. Crash is immediate. Always occurs.

  
Actual results:
Bug buddy reporting tool offering to dump (see attachment).

Expected results:
printer configuration user interface.

Additional info:

(exhibit (1))
-----------------------------------------------------------------
Step through python code with the python debugger module (pdb)
[root@dorothy gosgood]# python -m pdb /usr/share/system-config-printer/system-config-printer.py
> /usr/share/system-config-printer/system-config-printer.py(24)<module>()
-> import config
(Pdb) n
> /usr/share/system-config-printer/system-config-printer.py(26)<module>()
-> import errno
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(27)<module>()
-> import sys, os, tempfile, time, traceback, re, httplib
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(28)<module>()
-> import subprocess
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(29)<module>()
-> import signal, thread
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(30)<module>()
-> import dbus
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(31)<module>()
-> try:
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(32)<module>()
-> import gtk.glade
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(38)<module>()
-> import gnome
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(39)<module>()
-> gtk.about_dialog_set_url_hook (lambda x, y: gnome.url_show (y))
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(40)<module>()
-> gtk.about_dialog_set_email_hook (lambda x, y: gnome.url_show ("mailto:" + y))
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(42)<module>()
-> def show_help():
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(52)<module>()
-> if len(sys.argv)>1 and sys.argv[1] == '--help':
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(56)<module>()
-> import cups
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(57)<module>()
-> cups.require ("1.9.27")
(Pdb) 
> /usr/share/system-config-printer/system-config-printer.py(59)<module>()
-> import pysmb
(Pdb) s
--Call--
> /usr/share/system-config-printer/pysmb.py(23)<module>()
-> USE_OLD_CODE=False
(Pdb) n
> /usr/share/system-config-printer/pysmb.py(23)<module>()
-> USE_OLD_CODE=False
(Pdb) 
> /usr/share/system-config-printer/pysmb.py(24)<module>()
-> try:
(Pdb) 
> /usr/share/system-config-printer/pysmb.py(25)<module>()
-> import smbc
(Pdb) 
036f4fd3-fc19-c770-7a1d18da-12e91f6a is dumped
Comment 1 Garry R. Osgood 2009-03-28 16:22:55 EDT
installed debuginfo-install of python, smbc.so, etc.

stacktraces 

python session:

> /usr/share/system-config-printer/pysmb.py(25)<module>()
-> import smbc
(Pdb) w
  /usr/lib/python2.5/bdb.py(366)run()
-> exec cmd in globals, locals
  <string>(1)<module>()
  /usr/share/system-config-printer/system-config-printer.py(59)<module>()
-> import pysmb
> /usr/share/system-config-printer/pysmb.py(25)<module>()
-> import smbc
(Pdb) n

gdb session: (after attaching to python process)
(gdb) c
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x0096d5a6 in elf_get_dynamic_info () at dynamic-link.h:117
117		info[dyn->d_tag] = dyn;
(gdb) backtrace
#0  0x0096d5a6 in elf_get_dynamic_info () at dynamic-link.h:117
#1  _dl_map_object_from_fd (name=0x63fb37 "libsmbclient.so.0", fd=6, 
    fbp=0xbfb565c4, realname=0x938dc38 "/usr/lib/libsmbclient.so.0", 
    loader=0x9394280, l_type=2, mode=-2147483648, stack_endp=0xbfb567c8, 
    nsid=0) at dl-load.c:1338
#2  0x0096e363 in _dl_map_object (loader=0x9394280, 
    name=0x63fb37 "libsmbclient.so.0", preloaded=0, type=2, trace_mode=0, 
    mode=-2147483648, nsid=0) at dl-load.c:2239
#3  0x00972f46 in openaux (a=0xbfb569c8) at dl-deps.c:65
#4  0x00974db6 in _dl_catch_error (objname=0xbfb569e0, errstring=0xbfb569e4, 
    mallocedp=0xbfb569eb, operate=0x972f00 <openaux>, args=0xbfb569c8)
    at dl-error.c:178
#5  0x00973585 in _dl_map_object_deps (map=0x9394280, preloads=0x0, 
    npreloads=<value optimized out>, trace_mode=0, open_mode=-2147483648)
    at dl-deps.c:248
#6  0x009796dd in dl_open_worker (a=0xbfb56b6c) at dl-open.c:330
#7  0x00974db6 in _dl_catch_error (objname=0xbfb56b94, errstring=0xbfb56b90, 
    mallocedp=0xbfb56b9b, operate=0x979510 <dl_open_worker>, args=0xbfb56b6c)
    at dl-error.c:178
#8  0x00978f5e in _dl_open (
    file=0xbfb57087 "/usr/lib/python2.5/site-packages/smbc.so", 
    mode=-2147483646, caller_dlopen=0x32c8cb3, nsid=-2, argc=4, 
    argv=0xbfb5e834, env=0x911fb98) at dl-open.c:596
#9  0x00b2bc2c in dlopen_doit (a=0xbfb56d00) at dlopen.c:67
#10 0x00974db6 in _dl_catch_error (objname=0x9125dec, errstring=0x9125df0, 
    mallocedp=0x9125de8, operate=0xb2bb90 <dlopen_doit>, args=0xbfb56d00)
    at dl-error.c:178
#11 0x00b2c05c in _dlerror_run (operate=0xb2bb90 <dlopen_doit>, 
    args=<value optimized out>) at dlerror.c:164
#12 0x00b2bb61 in __dlopen (
    file=0xbfb57087 "/usr/lib/python2.5/site-packages/smbc.so", mode=2)
    at dlopen.c:88
#13 0x032c8cb3 in _PyImport_GetDynLoadFunc (fqname=0xbfb58117 "smbc", 
    shortname=0xbfb58117 "smbc", 
    pathname=0xbfb57087 "/usr/lib/python2.5/site-packages/smbc.so", 
    fp=0x937b8c0) at Python/dynload_shlib.c:130
#14 0x032b8eb1 in _PyImport_LoadDynamicModule (name=0xbfb58117 "smbc", 
    pathname=0xbfb57087 "/usr/lib/python2.5/site-packages/smbc.so", 
    fp=0x937b8c0) at Python/importdl.c:42
#15 0x032b67db in load_module (name=0xbfb58117 "smbc", fp=0xb48d0026, 
    buf=0x15ec420 "&", type=3, loader=0x0) at Python/import.c:1758
#16 0x032b7249 in import_submodule (mod=0x3329480, subname=0xbfb58117 "smbc", 
    fullname=0xbfb58117 "smbc") at Python/import.c:2400
#17 0x032b74fb in load_next (mod=0x3329480, altmod=0x3329480, 
    p_name=0xbfb58108, buf=0xbfb58117 "smbc", p_buflen=0xbfb58110)
    at Python/import.c:2220
#18 0x032b7b10 in import_module_level (name=0x0, globals=0x921c604, 
    locals=0x921c604, fromlist=0x3329480, level=-1) at Python/import.c:2001
#19 0x032b7e5b in PyImport_ImportModuleLevel (name=0x976b594 "smbc", 
    globals=0x921c604, locals=0x921c604, fromlist=0x3329480, level=-1)
    at Python/import.c:2072
#20 0x0329b054 in builtin___import__ (self=0x0, args=0x92221bc, kwds=0x0)
    at Python/bltinmodule.c:47
#21 0x03251af9 in PyCFunction_Call (func=0xb800fe6c, arg=0x92221bc, kw=0x0)
    at Objects/methodobject.c:77
#22 0x0321d397 in PyObject_Call (func=0x15ec420, arg=0x92221bc, kw=0x0)
    at Objects/abstract.c:1861
#23 0x0329b6fc in PyEval_CallObjectWithKeywords (func=0xb800fe6c, 
    arg=0x92221bc, kw=0x0) at Python/ceval.c:3442
#24 0x032a0289 in PyEval_EvalFrameEx (f=0x93926b4, throwflag=0)
    at Python/ceval.c:2067
#25 0x032a3965 in PyEval_EvalCodeEx (co=0x9215da0, globals=0x921c604, 
    locals=0x921c604, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2836
#26 0x032a3bc3 in PyEval_EvalCode (co=0x9215da0, globals=0x921c604, 
    locals=0x921c604) at Python/ceval.c:494
#27 0x032b580d in PyImport_ExecCodeModuleEx (name=0xbfb5b6e7 "pysmb", 
    co=0x9215da0, pathname=0xbfb595f7 "pysmb.pyc") at Python/import.c:675
#28 0x032b5abc in load_source_module (name=0xbfb5b6e7 "pysmb", 
    pathname=0xbfb595f7 "pysmb.pyc", fp=0x9153680) at Python/import.c:959
#29 0x032b7249 in import_submodule (mod=0x3329480, subname=0xbfb5b6e7 "pysmb", 
    fullname=0xbfb5b6e7 "pysmb") at Python/import.c:2400
#30 0x032b74fb in load_next (mod=0x3329480, altmod=0x3329480, 
    p_name=0xbfb5b6d8, buf=0xbfb5b6e7 "pysmb", p_buflen=0xbfb5b6e0)
    at Python/import.c:2220
#31 0x032b7b10 in import_module_level (name=0x0, globals=0xb7fe568c, 
    locals=0xb7fe568c, fromlist=0x3329480, level=-1) at Python/import.c:2001
#32 0x032b7e5b in PyImport_ImportModuleLevel (name=0x9614894 "pysmb", 
    globals=0xb7fe568c, locals=0xb7fe568c, fromlist=0x3329480, level=-1)
    at Python/import.c:2072
#33 0x0329b054 in builtin___import__ (self=0x0, args=0x91d934c, kwds=0x0)
    at Python/bltinmodule.c:47
#34 0x03251af9 in PyCFunction_Call (func=0xb800fe6c, arg=0x91d934c, kw=0x0)
    at Objects/methodobject.c:77
#35 0x0321d397 in PyObject_Call (func=0x15ec420, arg=0x91d934c, kw=0x0)
    at Objects/abstract.c:1861
#36 0x0329b6fc in PyEval_CallObjectWithKeywords (func=0xb800fe6c, 
    arg=0x91d934c, kw=0x0) at Python/ceval.c:3442
#37 0x032a0289 in PyEval_EvalFrameEx (f=0x913bdcc, throwflag=0)
    at Python/ceval.c:2067
#38 0x032a3965 in PyEval_EvalCodeEx (co=0x91dc968, globals=0xb7fe568c, 
    locals=0xb7fe568c, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2836
#39 0x032a3bc3 in PyEval_EvalCode (co=0x91dc968, globals=0xb7fe568c, 
    locals=0xb7fe568c) at Python/ceval.c:494
#40 0x032bf3c2 in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=0xb7fe568c, locals=0xb7fe568c, 
    flags=0x0, arena=0x90c1d30) at Python/pythonrun.c:1273
#41 0x032bf482 in PyRun_FileExFlags (fp=0x9133e10, 
    filename=0x91a5f04 "system-config-printer.py", start=257, 
    globals=0xb7fe568c, locals=0xb7fe568c, closeit=1, flags=0x0)
    at Python/pythonrun.c:1259
#42 0x0329a620 in builtin_execfile (self=0x0, args=0x91b34ec)
    at Python/bltinmodule.c:703
#43 0x03251b3d in PyCFunction_Call (func=0xb80121ec, arg=0x91b34ec, kw=0x0)
    at Objects/methodobject.c:73
#44 0x032a1cf0 in call_function () at Python/ceval.c:3573
#45 PyEval_EvalFrameEx (f=0x91f5a94, throwflag=0) at Python/ceval.c:2272
#46 0x032a3965 in PyEval_EvalCodeEx (co=0x91b08d8, globals=0xb7fe568c, 
    locals=0xb7fe568c, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2836
#47 0x032a3bc3 in PyEval_EvalCode (co=0x91b08d8, globals=0xb7fe568c, 
    locals=0xb7fe568c) at Python/ceval.c:494
#48 0x032bf3c2 in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=0xb7fe568c, locals=0xb7fe568c, 
    flags=0x0, arena=0x90be798) at Python/pythonrun.c:1273
#49 0x032bf617 in PyRun_StringFlags (
    str=0x91b10f4 "execfile( \"system-config-printer.py\")\n", start=257, 
    globals=0xb7fe568c, locals=0xb7fe568c, flags=0x0)
    at Python/pythonrun.c:1236
#50 0x032a0f20 in exec_statement () at Python/ceval.c:4213
#51 PyEval_EvalFrameEx (f=0x913082c, throwflag=0) at Python/ceval.c:1666
#52 0x032a3965 in PyEval_EvalCodeEx (co=0xb8001e78, globals=0xb7fe924c, 
    locals=0x0, args=0x9130640, argcount=2, kws=0x9130648, kwcount=2, 
    defs=0xb7ff0758, defcount=2, closure=0x0) at Python/ceval.c:2836
#53 0x032a2256 in fast_function () at Python/ceval.c:3669
#54 call_function () at Python/ceval.c:3594
#55 PyEval_EvalFrameEx (f=0x91304f4, throwflag=0) at Python/ceval.c:2272
#56 0x032a283d in fast_function () at Python/ceval.c:3659
#57 call_function () at Python/ceval.c:3594
#58 PyEval_EvalFrameEx (f=0x91f125c, throwflag=0) at Python/ceval.c:2272
#59 0x032a283d in fast_function () at Python/ceval.c:3659
#60 call_function () at Python/ceval.c:3594
#61 PyEval_EvalFrameEx (f=0x90f8264, throwflag=0) at Python/ceval.c:2272
#62 0x032a3965 in PyEval_EvalCodeEx (co=0xb7ff1a40, globals=0xb7fe6bdc, 
    locals=0xb7fe6bdc, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2836
#63 0x032a3bc3 in PyEval_EvalCode (co=0xb7ff1a40, globals=0xb7fe6bdc, 
    locals=0xb7fe6bdc) at Python/ceval.c:494
#64 0x032a17ef in exec_statement () at Python/ceval.c:4177
#65 PyEval_EvalFrameEx (f=0x9123134, throwflag=0) at Python/ceval.c:1666
#66 0x032a3965 in PyEval_EvalCodeEx (co=0xb7fd2890, globals=0xb7fd6e84, 
    locals=0x0, args=0x9122f7c, argcount=6, kws=0x9122f94, kwcount=0, 
    defs=0x0, defcount=0, closure=0x0) at Python/ceval.c:2836
#67 0x032a2256 in fast_function () at Python/ceval.c:3669
#68 call_function () at Python/ceval.c:3594
#69 PyEval_EvalFrameEx (f=0x9122e14, throwflag=0) at Python/ceval.c:2272
#70 0x032a3965 in PyEval_EvalCodeEx (co=0xb7fd24e8, globals=0xb7fd6e84, 
    locals=0x0, args=0x90f43dc, argcount=6, kws=0x90f43f4, kwcount=0, 
    defs=0xb7fd88d8, defcount=5, closure=0x0) at Python/ceval.c:2836
#71 0x032a2256 in fast_function () at Python/ceval.c:3669
#72 call_function () at Python/ceval.c:3594
#73 PyEval_EvalFrameEx (f=0x90f4284, throwflag=0) at Python/ceval.c:2272
#74 0x032a3965 in PyEval_EvalCodeEx (co=0xb7fd25c0, globals=0xb7fd6e84, 
    locals=0x0, args=0xb7fcc510, argcount=4, kws=0x0, kwcount=0, 
    defs=0xb7fe31f0, defcount=3, closure=0x0) at Python/ceval.c:2836
#75 0x0323d376 in function_call (func=0xb7fe4144, arg=0xb7fcc504, kw=0x0)
    at Objects/funcobject.c:517
#76 0x0321d397 in PyObject_Call (func=0x15ec420, arg=0xb7fcc504, kw=0x0)
    at Objects/abstract.c:1861
#77 0x032cb11c in RunModule () at Modules/main.c:165
#78 Py_Main (argc=2, argv=0xbfb5e834) at Modules/main.c:515
#79 0x080485d2 in main (argc=-1265827802, argv=0x26) at Modules/python.c:23
(gdb)
Comment 2 Garry R. Osgood 2009-03-28 16:43:10 EDT
bug buddy stacktrace data with debuginfo modules installed.

System: Linux 2.6.27.19-170.2.35.fc10.i686 #1 SMP Mon Feb 23 13:21:22 EST 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10503000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Crux
Icon Theme: Crux

Memory status: size: 41635840 vsize: 41635840 resident: 16359424 share: 9359360 rss: 16359424 rss_rlim: 18446744073709551615
CPU usage: start_time: 1238272440 rtime: 33 utime: 27 stime: 6 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/libexec/system-config-printer.py'

[Thread debugging using libthread_db enabled]
[New Thread 0xb7f9f6c0 (LWP 7379)]
0x00fb2416 in __kernel_vsyscall ()
#0  0x00fb2416 in __kernel_vsyscall ()
#1  0x00b400b3 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x00bf2637 in g_spawn_sync () from /lib/libglib-2.0.so.0
#3  0x00bf297c in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
#4  0x00549083 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#5  0x00549614 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#6  0x005496c5 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#7  <signal handler called>
#8  0x0096d5a6 in elf_get_dynamic_info () at dynamic-link.h:117
#9  _dl_map_object_from_fd (name=0x641b37 "libsmbclient.so.0", fd=6, 
    fbp=0xbf9ae2a4, realname=0x8cdda08 "/usr/lib/libsmbclient.so.0", 
    loader=0x90a2d28, l_type=2, mode=-2147483648, stack_endp=0xbf9ae4a8, 
    nsid=0) at dl-load.c:1338
#10 0x0096e363 in _dl_map_object (loader=0x90a2d28, 
    name=0x641b37 "libsmbclient.so.0", preloaded=0, type=2, trace_mode=0, 
    mode=-2147483648, nsid=0) at dl-load.c:2239
#11 0x00972f46 in openaux (a=0xbf9ae6a8) at dl-deps.c:65
#12 0x00974db6 in _dl_catch_error (objname=0xbf9ae6c0, errstring=0xbf9ae6c4, 
    mallocedp=0xbf9ae6cb, operate=0x972f00 <openaux>, args=0xbf9ae6a8)
    at dl-error.c:178
#13 0x00973585 in _dl_map_object_deps (map=0x90a2d28, preloads=0x0, 
    npreloads=<value optimized out>, trace_mode=0, open_mode=-2147483648)
    at dl-deps.c:248
#14 0x009796dd in dl_open_worker (a=0xbf9ae84c) at dl-open.c:330
#15 0x00974db6 in _dl_catch_error (objname=0xbf9ae874, errstring=0xbf9ae870, 
    mallocedp=0xbf9ae87b, operate=0x979510 <dl_open_worker>, args=0xbf9ae84c)
    at dl-error.c:178
#16 0x00978f5e in _dl_open (
    file=0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so", 
    mode=-2147483646, caller_dlopen=0x32c8cb3, nsid=-2, argc=2, 
    argv=0xbf9b4ac4, env=0xbf9b4ad0) at dl-open.c:596
#17 0x00b2bc2c in dlopen_doit (a=0xbf9ae9e0) at dlopen.c:67
#18 0x00974db6 in _dl_catch_error (objname=0x8cdc2e4, errstring=0x8cdc2e8, 
    mallocedp=0x8cdc2e0, operate=0xb2bb90 <dlopen_doit>, args=0xbf9ae9e0)
    at dl-error.c:178
#19 0x00b2c05c in _dlerror_run (operate=0xb2bb90 <dlopen_doit>, 
    args=<value optimized out>) at dlerror.c:164
#20 0x00b2bb61 in __dlopen (
    file=0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so", mode=2)
    at dlopen.c:88
#21 0x032c8cb3 in _PyImport_GetDynLoadFunc (fqname=0xbf9afdf7 "smbc", 
    shortname=0xbf9afdf7 "smbc", 
    pathname=0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so", 
    fp=0x8cdd8a0) at Python/dynload_shlib.c:130
#22 0x032b8eb1 in _PyImport_LoadDynamicModule (name=0xbf9afdf7 "smbc", 
    pathname=0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so", 
    fp=0x8cdd8a0) at Python/importdl.c:42
#23 0x032b67db in load_module (name=0xbf9afdf7 "smbc", fp=0xb48d0026, 
    buf=0x3c96420 "&", type=3, loader=0x0) at Python/import.c:1758
#24 0x032b7249 in import_submodule (mod=0x3329480, subname=0xbf9afdf7 "smbc", 
    fullname=0xbf9afdf7 "smbc") at Python/import.c:2400
#25 0x032b74fb in load_next (mod=0x3329480, altmod=0x3329480, 
    p_name=0xbf9afde8, buf=0xbf9afdf7 "smbc", p_buflen=0xbf9afdf0)
    at Python/import.c:2220
#26 0x032b7b10 in import_module_level (name=0x0, globals=0x900e02c, 
    locals=0x900e02c, fromlist=0x3329480, level=-1) at Python/import.c:2001
#27 0x032b7e5b in PyImport_ImportModuleLevel (name=0x8da0c54 "smbc", 
    globals=0x900e02c, locals=0x900e02c, fromlist=0x3329480, level=-1)
    at Python/import.c:2072
#28 0x0329b054 in builtin___import__ (self=0x0, args=0x900acfc, kwds=0x0)
    at Python/bltinmodule.c:47
#29 0x03251af9 in PyCFunction_Call (func=0xb7f67e6c, arg=0x900acfc, kw=0x0)
    at Objects/methodobject.c:77
#30 0x0321d397 in PyObject_Call (func=0x3c96420, arg=0x900acfc, kw=0x0)
    at Objects/abstract.c:1861
#31 0x0329b6fc in PyEval_CallObjectWithKeywords (func=0xb7f67e6c, 
    arg=0x900acfc, kw=0x0) at Python/ceval.c:3442
#32 0x032a0289 in PyEval_EvalFrameEx (f=0x90a27dc, throwflag=0)
    at Python/ceval.c:2067
#33 0x032a3965 in PyEval_EvalCodeEx (co=0x900d8d8, globals=0x900e02c, 
    locals=0x900e02c, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2836
#34 0x032a3bc3 in PyEval_EvalCode (co=0x900d8d8, globals=0x900e02c, 
    locals=0x900e02c) at Python/ceval.c:494
#35 0x032b580d in PyImport_ExecCodeModuleEx (name=0xbf9b33c7 "pysmb", 
    co=0x900d8d8, 
    pathname=0xbf9b12d7 "/usr/share/system-config-printer/pysmb.pyc")
    at Python/import.c:675
#36 0x032b5abc in load_source_module (name=0xbf9b33c7 "pysmb", 
    pathname=0xbf9b12d7 "/usr/share/system-config-printer/pysmb.pyc", 
    fp=0x8cce008) at Python/import.c:959
#37 0x032b7249 in import_submodule (mod=0x3329480, 
    subname=0xbf9b33c7 "pysmb", fullname=0xbf9b33c7 "pysmb")
    at Python/import.c:2400
#38 0x032b74fb in load_next (mod=0x3329480, altmod=0x3329480, 
    p_name=0xbf9b33b8, buf=0xbf9b33c7 "pysmb", p_buflen=0xbf9b33c0)
    at Python/import.c:2220
#39 0x032b7b10 in import_module_level (name=0x0, globals=0xb7f78acc, 
    locals=0xb7f78acc, fromlist=0x3329480, level=-1) at Python/import.c:2001
#40 0x032b7e5b in PyImport_ImportModuleLevel (name=0xb7981c34 "pysmb", 
    globals=0xb7f78acc, locals=0xb7f78acc, fromlist=0x3329480, level=-1)
    at Python/import.c:2072
#41 0x0329b054 in builtin___import__ (self=0x0, args=0xb7f564dc, kwds=0x0)
    at Python/bltinmodule.c:47
#42 0x03251af9 in PyCFunction_Call (func=0xb7f67e6c, arg=0xb7f564dc, kw=0x0)
    at Objects/methodobject.c:77
#43 0x0321d397 in PyObject_Call (func=0x3c96420, arg=0xb7f564dc, kw=0x0)
    at Objects/abstract.c:1861
#44 0x0329b6fc in PyEval_CallObjectWithKeywords (func=0xb7f67e6c, 
    arg=0xb7f564dc, kw=0x0) at Python/ceval.c:3442
#45 0x032a0289 in PyEval_EvalFrameEx (f=0x8d3740c, throwflag=0)
    at Python/ceval.c:2067
#46 0x032a3965 in PyEval_EvalCodeEx (co=0xb7f52b60, globals=0xb7f78acc, 
    locals=0xb7f78acc, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2836
#47 0x032a3bc3 in PyEval_EvalCode (co=0xb7f52b60, globals=0xb7f78acc, 
    locals=0xb7f78acc) at Python/ceval.c:494
#48 0x032bf3c2 in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=0xb7f78acc, locals=0xb7f78acc, 
    flags=0xbf9b49f8, arena=0x8cf3378) at Python/pythonrun.c:1273
#49 0x032bf482 in PyRun_FileExFlags (fp=0x8cce008, 
    filename=0xbf9b6a66 "/usr/share/system-config-printer/system-config-printer.py", start=257, globals=0xb7f78acc, locals=0xb7f78acc, closeit=1, 
    flags=0xbf9b49f8) at Python/pythonrun.c:1259
#50 0x032c0c0c in PyRun_SimpleFileExFlags (fp=0x8cce008, 
    filename=0xbf9b6a66 "/usr/share/system-config-printer/system-config-printer.py", closeit=1, flags=0xbf9b49f8) at Python/pythonrun.c:879
#51 0x032c137a in PyRun_AnyFileExFlags (fp=0x8cce008, 
    filename=0xbf9b6a66 "/usr/share/system-config-printer/system-config-printer.py", closeit=1, flags=0xbf9b49f8) at Python/pythonrun.c:698
#52 0x032cb43f in Py_Main (argc=1, argv=0xbf9b4ac4) at Modules/main.c:523
#53 0x080485d2 in main (argc=-1265827802, argv=0x26) at Modules/python.c:23

Thread 1 (Thread 0xb7f9f6c0 (LWP 7379)):
#0  0x00fb2416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00b400b3 in __waitpid_nocancel () from /lib/libpthread.so.0
No locals.
#2  0x00bf2637 in g_spawn_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00bf297c in g_spawn_command_line_sync () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00549083 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  0x00549614 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#6  0x005496c5 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#7  <signal handler called>
No symbol table info available.
#8  0x0096d5a6 in elf_get_dynamic_info () at dynamic-link.h:117
	dyn = (Elf32_Dyn *) 0x3c96420
#9  _dl_map_object_from_fd (name=0x641b37 "libsmbclient.so.0", fd=6, 
    fbp=0xbf9ae2a4, realname=0x8cdda08 "/usr/lib/libsmbclient.so.0", 
    loader=0x90a2d28, l_type=2, mode=-2147483648, stack_endp=0xbf9ae4a8, 
    nsid=0) at dl-load.c:1338
	l = (struct link_map *) 0x90a2fc0
	phdr = (const Elf32_Phdr *) 0xbf9ae2dc
	ph = <value optimized out>
	maplength = 3963236
	type = 3
	st = {st_dev = 64768, __pad1 = 0, __st_ino = 480575, st_mode = 33261, 
  st_nlink = 1, st_uid = 0, st_gid = 0, st_rdev = 0, __pad2 = 0, 
  st_size = 3956752, st_blksize = 4096, st_blocks = 7744, st_atim = {
    tv_sec = 1238272441, tv_nsec = 0}, st_mtim = {tv_sec = 1236253525, 
    tv_nsec = 0}, st_ctim = {tv_sec = 1236423531, tv_nsec = 0}, 
  st_ino = 480575}
	errstring = <value optimized out>
	errval = <value optimized out>
	r = (struct r_debug *) 0x987644
	make_consistent = false
	stack_flags = 6
	__PRETTY_FUNCTION__ = "_dl_map_object_from_fd"
#10 0x0096e363 in _dl_map_object (loader=0x90a2d28, 
    name=0x641b37 "libsmbclient.so.0", preloaded=0, type=2, trace_mode=0, 
    mode=-2147483648, nsid=0) at dl-load.c:2239
	fd = <value optimized out>
	realname = 0x8cdda08 "/usr/lib/libsmbclient.so.0"
	name_copy = <value optimized out>
	l = (struct link_map *) 0x0
	fb = {len = 512, 
  buf = "\177ELF\001\001\001\000\000\000\000\000\000\000\000\000\003\000\003\000\001\000\000\000`!\001\0004\000\000\000Ø[<\000\000\000\000\0004\000 \000\a\000(\000\033\000\032\000\001", '\0' <repeats 15 times>, "ì\225;\000ì\225;\000\005\000\000\000\000\020\000\000\001\000\000\000\210£;\000\210³;\000\210³;\000H·\000\000ÜÅ\000\000\006\000\000\000\000\020\000\000\002\000\000\000\030\004<\000\030\024<\000\030\024<\000@\001\000\000@\001\000\000\006\000\000\000\004\000\000\000\004\000\000\000\024\001\000\000\024\001\000\000\024\001\000\000$\000\000\000$\000\000\000\004\000\000\000\004\000\000\000PåtdÈç6\000Èç6\000Èç6\000\004ì\000\000\004ì\000\000\004"...}
	found_other_class = false
	stack_end = (void *) 0xbf9b4ac0
	__PRETTY_FUNCTION__ = "_dl_map_object"
	dummy_bucket = 0
#11 0x00972f46 in openaux (a=0xbf9ae6a8) at dl-deps.c:65
No locals.
#12 0x00974db6 in _dl_catch_error (objname=0xbf9ae6c0, errstring=0xbf9ae6c4, 
    mallocedp=0xbf9ae6cb, operate=0x972f00 <openaux>, args=0xbf9ae6a8)
    at dl-error.c:178
	errcode = <value optimized out>
	old = (struct catch * volatile) 0xbf9ae774
	c = {objname = 0x5 <Address 0x5 out of bounds>, errstring = 0x0, 
  malloced = true, env = {{__jmpbuf = {9990080, -1080367448, 9907968, 
        -1080367680, -1080367896, 9915801}, __mask_was_saved = 4096, 
      __saved_mask = {__val = {2, 16460, 16460, 16460, 216, 216, 6, 4, 4, 
          244, 244, 244, 36, 36, 4, 4, 1685382480, 14880, 14880, 14880, 284, 
          284, 4, 4, 1685382481, 0, 0, 0, 0, 0, 6, 4}}}}}
	catchp = (struct catch ** const) 0xb7f9f6bc
#13 0x00973585 in _dl_map_object_deps (map=0x90a2d28, preloads=0x0, 
    npreloads=<value optimized out>, trace_mode=0, open_mode=-2147483648)
    at dl-deps.c:248
	dep = <value optimized out>
	malloced = <value optimized out>
	err = <value optimized out>
	strtab = 0x641664 ""
	args = {map = 0x90a2d28, trace_mode = 0, open_mode = -2147483648, 
  strtab = 0x641664 "", name = 0x641b37 "libsmbclient.so.0", aux = 0x0}
	orig = (struct list *) 0xbf9ae5e0
	d = (const Elf32_Dyn *) 0x64504c
	l = (struct link_map *) 0x90a2d28
	needed = (struct link_map **) 0x0
	nneeded = 0
	runp = (struct list *) 0xbf9ae5e0
	tail = (struct list *) 0xbf9ae5e0
	i = <value optimized out>
	errno_saved = 0
	errno_reason = <value optimized out>
	errstring = 0x0
	objname = <value optimized out>
	old_l_initfini = <value optimized out>
	__PRETTY_FUNCTION__ = "_dl_map_object_deps"
#14 0x009796dd in dl_open_worker (a=0xbf9ae84c) at dl-open.c:330
	file = 0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so"
	mode = -2147483646
	new = (struct link_map *) 0x90a2d28
	lazy = <value optimized out>
	i = <value optimized out>
	any_tls = <value optimized out>
	call_map = (struct link_map *) 0xb7fa1000
	r = <value optimized out>
	l = <value optimized out>
	__PRETTY_FUNCTION__ = "dl_open_worker"
#15 0x00974db6 in _dl_catch_error (objname=0xbf9ae874, errstring=0xbf9ae870, 
    mallocedp=0xbf9ae87b, operate=0x979510 <dl_open_worker>, args=0xbf9ae84c)
    at dl-error.c:178
	errcode = <value optimized out>
	old = (struct catch * volatile) 0xbf9ae8f4
	c = {objname = 0x4300 <Address 0x4300 out of bounds>, 
  errstring = 0x0, malloced = false, env = {{__jmpbuf = {9990080, 9934096, 
        -2147483646, -1080367064, -1080367280, 9915801}, 
      __mask_was_saved = 226304, __saved_mask = {__val = {16779375, 
          1392509028, 16777582, 1946162041, 8126468, 222208, 2097152643, 
          1851195394, 1946419223, 174718981, 749312, 16843009, 1392509028, 
          16777838, 9467992, 1761608316, 8585222, 11770350, 228608, 
          1761608572, 8585223, 294144, 1761608060, 0, 287744, 99097, 
          16800879, 7379, 1763246084, 90439689, 99072, 2080376189}}}}}
	catchp = (struct catch ** const) 0xb7f9f6bc
#16 0x00978f5e in _dl_open (
    file=0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so", 
    mode=-2147483646, caller_dlopen=0x32c8cb3, nsid=-2, argc=2, 
    argv=0xbf9b4ac4, env=0xbf9b4ad0) at dl-open.c:596
	args = {file = 0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so", 
  mode = -2147483646, caller_dlopen = 0x32c8cb3, caller_dl_open = 0xb2bc2c, 
  map = 0x90a2d28, nsid = 0, argc = 2, argv = 0xbf9b4ac4, env = 0xbf9b4ad0}
	objname = 0xbf9ae898 "³\214,\003þÿÿÿ\002"
	errstring = <value optimized out>
	malloced = <value optimized out>
	errcode = <value optimized out>
	__PRETTY_FUNCTION__ = "_dl_open"
#17 0x00b2bc2c in dlopen_doit (a=0xbf9ae9e0) at dlopen.c:67
No locals.
#18 0x00974db6 in _dl_catch_error (objname=0x8cdc2e4, errstring=0x8cdc2e8, 
    mallocedp=0x8cdc2e0, operate=0xb2bb90 <dlopen_doit>, args=0xbf9ae9e0)
    at dl-error.c:178
	errcode = <value optimized out>
	old = (struct catch * volatile) 0x0
	c = {objname = 0x74736e69 <Address 0x74736e69 out of bounds>, 
  errstring = 0x0, malloced = 111, env = {{__jmpbuf = {9990080, 9989248, 
        147702488, -1080366680, -1080366896, 9915801}, __mask_was_saved = 0, 
      __saved_mask = {__val = {1929379840, 1953066096, 4294967295, 357491, 
          1634533376, 1952998260, 5, 1768714355, 423028, 1936457728, 
          1885958772, 1652, 1953722880, 11508000, 0, 1936682083, 534629, 
          125042688, 1929379840, 1868784237, 125068910, 1996488704, 
          1734701683, 74741861, 1711276032, 1952803945, 1, 95340, 1953759232, 
          2, 141848691, 1996488704}}}}}
	catchp = (struct catch ** const) 0xb7f9f6bc
#19 0x00b2c05c in _dlerror_run (operate=0xb2bb90 <dlopen_doit>, 
    args=<value optimized out>) at dlerror.c:164
	result = (struct dl_action_result *) 0x8cdc2d8
#20 0x00b2bb61 in __dlopen (
    file=0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so", mode=2)
    at dlopen.c:88
	args = {file = 0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so", 
  mode = 2, new = 0x3300226, caller = 0x32c8cb3}
#21 0x032c8cb3 in _PyImport_GetDynLoadFunc (fqname=0xbf9afdf7 "smbc", 
    shortname=0xbf9afdf7 "smbc", 
    pathname=0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so", 
    fp=0x8cdd8a0) at Python/dynload_shlib.c:130
	p = <value optimized out>
	handle = <value optimized out>
	funcname = "initsmbc\000\000<}\006\000|\004\000t\000\000i\006\000d\n\000<t\005\000o\033\000\001t\005\000t\000\000i\006\000d\001\000<d\v\000t\a\000\026}\002\000n\v\000\001d\f\000t\a\000\026}\002\004_%\003d\r\0007}\002\000x\223\000t\000\000i\b\000|\002\000d\004\000\203\002\000i\t\000Wë$\003\a\000\000\000\a\000|\aü\230V²(\000\000\000ÿÿÿÿ»\230V²`\025ú\bÔY%\003¦\225,\000\000\000\000\0000\200è\b´ë1\003»\230V²`\025ú\bxì\232¿´ë1\003`\025ú\b\000\000\000\000xì\232¿'Ø%\003`\025ú\b\000|\005\000i\021\000\203´ë"...
	pathbuf = "^\000t\000\000i\b\000|\002\000d\004\000\203\002\000i\t\000\203\000\000D]D\000}\003\000|\003\000i\n\000\203\000\000d\005\000\031}\003\000|\003\000i\v\000d\006\000\203\001\000o\036\000\001|\001\000i\f\000|\003\000i\r\000d\a\000\203\001\000d\005\000\031\203\001\000\001qv\000\001qv\000Wt\016\000|\001\000\203\001\000d\005\000j\001\000o}\000\001t\005\000o\033\000\001t\005\000t\000\000i\006\000d\001\000<d\b\000t\a\000\026}\002\000n\v\000\001d\t\000t\a\000\026}\002\000xN\000t\000\000i\b\000|\002\000d\004\000\203\002\000i\t\000\203\000\000D]0\000}\003\000|\003\000i\n\000\203\000\000d"...
	dlopenflags = 2
#22 0x032b8eb1 in _PyImport_LoadDynamicModule (name=0xbf9afdf7 "smbc", 
    pathname=0xbf9aed67 "/usr/lib/python2.5/site-packages/smbc.so", 
    fp=0x8cdd8a0) at Python/importdl.c:42
	m = <value optimized out>
	shortname = 0xbf9afdf7 "smbc"
	packagecontext = 0x0
	oldcontext = <value optimized out>
	p = <value optimized out>
#23 0x032b67db in load_module (name=0xbf9afdf7 "smbc", fp=0xb48d0026, 
    buf=0x3c96420 "&", type=3, loader=0x0) at Python/import.c:1758
	modules = <value optimized out>
	m = <value optimized out>
	err = <value optimized out>
#24 0x032b7249 in import_submodule (mod=0x3329480, subname=0xbf9afdf7 "smbc", 
    fullname=0xbf9afdf7 "smbc") at Python/import.c:2400
	buf = "/usr/lib/python2.5/site-packages/smbc.so\000.so\000o\000P\"s\005\000\000\000 2>&1s\006\000\000\000 <00> iÿÿÿÿs\a\000\000\000<GROUP>t\006\000\000\000DOMAIN(\022\000\000\000RD\000\000\000t\006\000\000\000accesst\t\000\000\000smbclientt\004\000\000\000X_OKR\206\000\000\000Rt\000\000\000t\a\000\000\000environt\t\000\000\000nmblookupt\005\000\000\000popenRw\000\000\000Rx\000\000\000t\b"...
	fp = (FILE *) 0x8cdd8a0
	path = <value optimized out>
	loader = (PyObject *) 0x0
	fdp = (struct filedescr *) 0x8cceb28
	modules = (PyObject *) 0xb7f61604
	m = <value optimized out>
#25 0x032b74fb in load_next (mod=0x3329480, altmod=0x3329480, 
    p_name=0xbf9afde8, buf=0xbf9afdf7 "smbc", p_buflen=0xbf9afdf0)
    at Python/import.c:2220
	name = 0x8da0c54 "smbc"
	len = 4
	p = 0xbf9afdf7 "smbc"
	result = <value optimized out>
#26 0x032b7b10 in import_module_level (name=0x0, globals=0x900e02c, 
    locals=0x900e02c, fromlist=0x3329480, level=-1) at Python/import.c:2001
	buf = "smbc\000\000\000sectiont\a\000\000\000typepost\n\000\000\000commentposR\201\000\000\000Rh\000\000\000t\004\000\000\000restt\003\000\000\000endR^\000\000\000t\a\000\000\000comment(\000\000\000\000(\000\000\000\000s)\000\000\000/usr/share/system-config-printer/pysmb.pyt\020\000\000\000get_printer_list\214\001\000\000s\\\000\000\000\000\004\006\001\026\001\b\002\021\001\n\001\020\001\021\001\016\002\020\001\021\001\016\002\006\001\006\001\006"...
	buflen = 4
	parent = (PyObject *) 0x90a2fc0
	head = <value optimized out>
	next = <value optimized out>
	tail = <value optimized out>
#27 0x032b7e5b in PyImport_ImportModuleLevel (name=0x8da0c54 "smbc", 
    globals=0x900e02c, locals=0x900e02c, fromlist=0x3329480, level=-1)
    at Python/import.c:2072
	result = <value optimized out>
#28 0x0329b054 in builtin___import__ (self=0x0, args=0x900acfc, kwds=0x0)
    at Python/bltinmodule.c:47
	name = 0x8da0c54 "smbc"
	globals = (PyObject *) 0x900e02c
	locals = (PyObject *) 0x900e02c
	fromlist = (PyObject *) 0x3329480
	level = -1
	kwlist = {0x32e65a6 "name", 0x32e78c4 "globals", 0x32f9c70 "locals", 
  0x32f94ba "fromlist", 0x32f6a24 "level", 0x0}
#29 0x03251af9 in PyCFunction_Call (func=0xb7f67e6c, arg=0x900acfc, kw=0x0)
    at Objects/methodobject.c:77
	meth = (PyCFunction) 0x329afb0 <builtin___import__>
	self = (PyObject *) 0x0
	size = <value optimized out>
#30 0x0321d397 in PyObject_Call (func=0x3c96420, arg=0x900acfc, kw=0x0)
    at Objects/abstract.c:1861
	result = <value optimized out>
	call = (PyObject *(*)(PyObject *, PyObject *, PyObject *)) 0x90a2fc0
#31 0x0329b6fc in PyEval_CallObjectWithKeywords (func=0xb7f67e6c, 
    arg=0x900acfc, kw=0x0) at Python/ceval.c:3442
	result = <value optimized out>
#32 0x032a0289 in PyEval_EvalFrameEx (f=0x90a27dc, throwflag=0)
    at Python/ceval.c:2067
	stack_pointer = (PyObject **) 0x90a2914
	next_instr = (unsigned char *) 0x90a139e "Z\002"
	opcode = <value optimized out>
	oparg = 2
	why = 52751499
	err = 0
	x = (PyObject *) 0xb7f67e6c
	v = (PyObject *) 0x3329480
	w = (PyObject *) 0x900acfc
	u = <value optimized out>
	t = <value optimized out>
	stream = (PyObject *) 0xbf9b11a8
	freevars = (PyObject **) 0x90a2914
	retval = (PyObject *) 0x0
	tstate = (PyThreadState *) 0x8cce1b8
	co = (PyCodeObject *) 0x900d8d8
	instr_ub = -1
	instr_lb = 0
	instr_prev = -1
	first_instr = (unsigned char *) 0x90a138c "e"
	names = (PyObject *) 0xb797752c
	consts = (PyObject *) 0xb77e97e4
	__PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#33 0x032a3965 in PyEval_EvalCodeEx (co=0x900d8d8, globals=0x900e02c, 
    locals=0x900e02c, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2836
	f = (PyFrameObject *) 0x90a27dc
	retval = <value optimized out>
	freevars = (PyObject **) 0x90a2914
	tstate = (PyThreadState *) 0x8cce1b8
	x = <value optimized out>
	u = (PyObject *) 0x0
	__PRETTY_FUNCTION__ = "PyEval_EvalCodeEx"
#34 0x032a3bc3 in PyEval_EvalCode (co=0x900d8d8, globals=0x900e02c, 
    locals=0x900e02c) at Python/ceval.c:494
No locals.
#35 0x032b580d in PyImport_ExecCodeModuleEx (name=0xbf9b33c7 "pysmb", 
    co=0x900d8d8, 
    pathname=0xbf9b12d7 "/usr/share/system-config-printer/pysmb.pyc")
    at Python/import.c:675
	modules = (PyObject *) 0xb7f61604
	m = <value optimized out>
	d = (PyObject *) 0x900e02c
	v = <value optimized out>
#36 0x032b5abc in load_source_module (name=0xbf9b33c7 "pysmb", 
    pathname=0xbf9b12d7 "/usr/share/system-config-printer/pysmb.pyc", 
    fp=0x8cce008) at Python/import.c:959
	mtime = 1234978186
	fpc = (FILE *) 0x8cdd8a0
	buf = "/usr/share/system-config-printer/pysmb.pyc\000\226\000\032xF\006Ë.°\000\027\000\000\000\000@Õ\002\000pÕ\002lhÕ\002lhÕ\002\032xF\006\005\000\000\000\000pÕ\002\000\200Õ\002\220yÕ\002\000p\230\000\000 \000\000\000\000\000\000 ²\t\tPU\t\tÌó\226\000Ë.°\000\000\000\000\000\027\000\000\000pU\t\t\v\000\000\000Ào\230\000È[\227\000FYà\002|\037ú·Ào\230\000\030\035ú·w\a\000\000\b\026\233¿&â\226\000FYà\002Ë.°\000CØ\226\000\005\000\000\000\000\000\000\200\000\000\000\000\000\000\000"...
	cpathname = 0x0
	co = (PyCodeObject *) 0x900d8d8
	m = <value optimized out>
#37 0x032b7249 in import_submodule (mod=0x3329480, 
    subname=0xbf9b33c7 "pysmb", fullname=0xbf9b33c7 "pysmb")
    at Python/import.c:2400
	buf = "/usr/share/system-config-printer/pysmb.py\000le.so\000_init__.py\000s/utf_8.py\000le.so\000áÀ ö·¸#\233¿O÷$\003,\020ö·À ö·å\036õá´ë1\003üÿÿÿôÿÌ\bØ#\233¿´ë1\003,\020ö·\005\000\000\000è#\233¿L³&\003,\020ö·À ö·<´÷·.\177&\003\000\000\000\000\006\000\000\000\034=ö·´ë1\003#8.\003\024\000\000\0008$\233¿\225ó&\003ôÿÌ\bÀ ö·\000Ö2\0034\211÷"...
	fp = (FILE *) 0x8cce008
	path = <value optimized out>
	loader = (PyObject *) 0x0
	fdp = (struct filedescr *) 0x8cceb40
	modules = (PyObject *) 0xb7f61604
	m = <value optimized out>
#38 0x032b74fb in load_next (mod=0x3329480, altmod=0x3329480, 
    p_name=0xbf9b33b8, buf=0xbf9b33c7 "pysmb", p_buflen=0xbf9b33c0)
    at Python/import.c:2220
	name = 0xb7981c34 "pysmb"
	len = 5
	p = 0xbf9b33c7 "pysmb"
	result = <value optimized out>
#39 0x032b7b10 in import_module_level (name=0x0, globals=0xb7f78acc, 
    locals=0xb7f78acc, fromlist=0x3329480, level=-1) at Python/import.c:2001
	buf = "pysmb\000ade\000\000\233¿ìóõ·D°/\0037°/\003\000Mõ·ðG\233¿\001\000\000\000´ë1\003\000\000\000\0000 õ·84\233¿ØX*\003\026\000\000\000\033\000\000\000(4\233¿P=*\003ìF\233¿\000\000\000\000D°/\0037°/\003@Mõ·ðG\233¿\001\000\000\000´ë1\003ÿÿÿÿ \236õ·x4\233¿hW*\003\026\000\000\000\033\000\000\000h4\233¿\211=*\003ìF\233¿\000\000\000\000D°/\0037°/\003@Mõ·ðG\233¿\001\000\000\000´ë1\003\000\000\000\000È;Ó\b¸4\233¿hW*\003\026\000\000\000\034\000\000\000¨4\233¿P=*"...
	buflen = 5
	parent = (PyObject *) 0x90a2fc0
	head = <value optimized out>
	next = <value optimized out>
	tail = <value optimized out>
#40 0x032b7e5b in PyImport_ImportModuleLevel (name=0xb7981c34 "pysmb", 
    globals=0xb7f78acc, locals=0xb7f78acc, fromlist=0x3329480, level=-1)
    at Python/import.c:2072
	result = <value optimized out>
#41 0x0329b054 in builtin___import__ (self=0x0, args=0xb7f564dc, kwds=0x0)
    at Python/bltinmodule.c:47
	name = 0xb7981c34 "pysmb"
	globals = (PyObject *) 0xb7f78acc
	locals = (PyObject *) 0xb7f78acc
	fromlist = (PyObject *) 0x3329480
	level = -1
	kwlist = {0x32e65a6 "name", 0x32e78c4 "globals", 0x32f9c70 "locals", 
  0x32f94ba "fromlist", 0x32f6a24 "level", 0x0}
#42 0x03251af9 in PyCFunction_Call (func=0xb7f67e6c, arg=0xb7f564dc, kw=0x0)
    at Objects/methodobject.c:77
	meth = (PyCFunction) 0x329afb0 <builtin___import__>
	self = (PyObject *) 0x0
	size = <value optimized out>
#43 0x0321d397 in PyObject_Call (func=0x3c96420, arg=0xb7f564dc, kw=0x0)
    at Objects/abstract.c:1861
	result = <value optimized out>
	call = (PyObject *(*)(PyObject *, PyObject *, PyObject *)) 0x90a2fc0
#44 0x0329b6fc in PyEval_CallObjectWithKeywords (func=0xb7f67e6c, 
    arg=0xb7f564dc, kw=0x0) at Python/ceval.c:3442
	result = <value optimized out>
#45 0x032a0289 in PyEval_EvalFrameEx (f=0x8d3740c, throwflag=0)
    at Python/ceval.c:2067
	stack_pointer = (PyObject **) 0x8d37544
	next_instr = (unsigned char *) 0x8d37e24 "Z\032"
	opcode = <value optimized out>
	oparg = 26
	why = WHY_EXCEPTION
	err = 0
	x = (PyObject *) 0xb7f67e6c
	v = (PyObject *) 0x3329480
	w = (PyObject *) 0xb7f564dc
	u = <value optimized out>
	t = <value optimized out>
	stream = (PyObject *) 0xbf9b4778
	freevars = (PyObject **) 0x8d37544
	retval = (PyObject *) 0x0
	tstate = (PyThreadState *) 0x8cce1b8
	co = (PyCodeObject *) 0xb7f52b60
	instr_ub = -1
	instr_lb = 0
	instr_prev = -1
	first_instr = (unsigned char *) 0x8d37cac "d"
	names = (PyObject *) 0x8d4880c
	consts = (PyObject *) 0xb7f8684c
	__PRETTY_FUNCTION__ = "PyEval_EvalFrameEx"
#46 0x032a3965 in PyEval_EvalCodeEx (co=0xb7f52b60, globals=0xb7f78acc, 
    locals=0xb7f78acc, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2836
	f = (PyFrameObject *) 0x8d3740c
	retval = <value optimized out>
	freevars = (PyObject **) 0x8d37544
	tstate = (PyThreadState *) 0x8cce1b8
	x = <value optimized out>
	u = (PyObject *) 0x0
	__PRETTY_FUNCTION__ = "PyEval_EvalCodeEx"
#47 0x032a3bc3 in PyEval_EvalCode (co=0xb7f52b60, globals=0xb7f78acc, 
    locals=0xb7f78acc) at Python/ceval.c:494
No locals.
#48 0x032bf3c2 in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=0xb7f78acc, locals=0xb7f78acc, 
    flags=0xbf9b49f8, arena=0x8cf3378) at Python/pythonrun.c:1273
	co = <value optimized out>
	v = (PyObject *) 0x0
#49 0x032bf482 in PyRun_FileExFlags (fp=0x8cce008, 
    filename=0xbf9b6a66 "/usr/share/system-config-printer/system-config-printer.py", start=257, globals=0xb7f78acc, locals=0xb7f78acc, closeit=1, 
    flags=0xbf9b49f8) at Python/pythonrun.c:1259
	ret = <value optimized out>
	mod = (struct _mod *) 0x8e5d840
	arena = <value optimized out>
#50 0x032c0c0c in PyRun_SimpleFileExFlags (fp=0x8cce008, 
    filename=0xbf9b6a66 "/usr/share/system-config-printer/system-config-printer.py", closeit=1, flags=0xbf9b49f8) at Python/pythonrun.c:879
	m = <value optimized out>
	d = (PyObject *) 0xb7f78acc
	v = <value optimized out>
	ext = 0xbf9b6a9b "r.py"
#51 0x032c137a in PyRun_AnyFileExFlags (fp=0x8cce008, 
    filename=0xbf9b6a66 "/usr/share/system-config-printer/system-config-printer.py", closeit=1, flags=0xbf9b49f8) at Python/pythonrun.c:698
No locals.
#52 0x032cb43f in Py_Main (argc=1, argv=0xbf9b4ac4) at Modules/main.c:523
	c = <value optimized out>
	sts = <value optimized out>
	command = 0x0
	filename = 0xb48d0026 <Address 0xb48d0026 out of bounds>
	module = 0x0
	fp = (FILE *) 0x8cce008
	p = <value optimized out>
	inspect = 0
	unbuffered = 0
	skipfirstline = 0
	stdin_is_interactive = 0
	help = 0
	version = 0
	saw_inspect_flag = 0
	saw_unbuffered_flag = 0
	cf = {cf_flags = 0}
#53 0x080485d2 in main (argc=-1265827802, argv=0x26) at Modules/python.c:23
No locals.
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors ---------------------
[BUG][ 1238272407.906112] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238272407.932765] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238272407.937178] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238272407.963870] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238272407.968335] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238272407.994880] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238272407.999332] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
[BUG][ 1238272408.016055] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed
/usr/libexec/system-config-printer.py: No such file or directory.
Error while mapping shared library sections:
"/usr/lib/libsmbclient.so.0": not in executable format: File format not recognized.
Error while reading shared library symbols:
"/usr/lib/libsmbclient.so.0": can't read symbols: File format not recognized.
Error while reading shared library symbols:
"/usr/lib/libsmbclient.so.0": can't read symbols: File format not recognized.
--------------------------------------------------
Comment 3 Tim Waugh 2009-03-30 07:44:08 EDT
Please show the output of:

rpm -V libsmbclient
rpm -q libsmbclient
Comment 4 Garry R. Osgood 2009-03-31 10:42:40 EDT
[gosgood@dorothy LinkSpreadToStory]$ rpm -V libsmbclient
..5.....    /usr/lib/libsmbclient.so.0
..5.....    /usr/lib/libsmbsharemodes.so.0
[gosgood@dorothy LinkSpreadToStory]$ rpm -q libsmbclient
libsmbclient-3.2.8-0.27.fc10.i386
Comment 5 Tim Waugh 2009-03-31 10:58:34 EDT
The MD5 sum of each of those files is different to the value listed in the package manifest.  They have both changed since the package was installed.

Note You need to log in before you can comment on or make changes to this bug.